# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ClassInfo Struct Reference

Class Information. More...

`#include <object.h>`

Collaboration diagram for KJS::ClassInfo:

[legend]
List of all members.

## Public Attributes

const char * | className
const ClassInfo * | parentClass
const HashTable * | propHashTable
void * | dummy

## Detailed Description

Class Information.

Definition at line 58 of file object.h.

## Member Data Documentation

const char* KJS::ClassInfo::className

| A string denoting the class name. Example: "Window". Definition at line 62 of file object.h.

const ClassInfo* KJS::ClassInfo::parentClass

| Pointer to the class information of the base class. 0L if there is none. Definition at line 67 of file object.h.

const HashTable* KJS::ClassInfo::propHashTable

| Static hash-table of properties. Definition at line 71 of file object.h.

void* KJS::ClassInfo::dummy

| Reserved for future extension. Definition at line 75 of file object.h.

The documentation for this struct was generated from the following file:

- object.h

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003